// file: $isip/class/algo/FourierTransform/FourierTransformQf.h
// version: $Id: FourierTransformQf.h,v 1.2 2000/12/20 21:43:44 zheng Exp $
//

// this is the header for the qft routines
//

// make sure definitions are only made once
//
#ifndef	__FTA_QF
#define	__FTA_QF

#define	N2		8	// 1/2 minimum qft length
#define	NN		(N2*2)	// minimum qft length
#define	MM		(N2+1)	// minimum pruned length

// QFT external constants	
//
#define	sec0	0.5000000000000000f
#define	sec1	0.5411961001461970f
#define	sec2	0.7071067811865475f
#define	sec3	1.3065629648763763f
#define	sqrt2	sec2

// end of include file
//
#endif
