// file: $isip/class/math/scalar/Double/dbl_01.cc
// version: $Id: dbl_01.cc,v 1.2 2000/10/01 14:54:55 picone Exp $
//

// isip include files
//
#include "Double.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean Double::debug(const unichar* msg_a) const {
  
  // declare local variables
  //
  String output;
  String value;
  
  // dump the data
  // 
  value.assign((double)value_d);
  output.debugStr(name(), msg_a, L"value_d", value);
  Console::put(output);

  // exit gracefully
  //
  return true;
}

