// file: $isip/class/numeric/Chebyshev/cheb_01.cc
// version: $Id: cheb_01.cc,v 1.1 2001/07/04 22:57:09 picone Exp $
//

// isip include files
//
#include "Chebyshev.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean Chebyshev::debug(const unichar* msg_a) const {

  // declare local variable
  //
  String output;

  // output the information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();
  
  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}

