// file: NodeInfo.java
//

// import java libraries
//
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.util.*;
import java.io.*;
import java.lang.*;

public class NodeInfo {

    // ---------------------------------------------------
    //
    // declare class member NodeInfo
    //
    // ---------------------------------------------------

    // vertex of information 
    //
    public Vector childIndex;
    public int xloc;
    public int yloc;
    public int yoffset;
    public int xoffset;
    public boolean selfLoop;
    public int neibIndex;

    // ---------------------------------------------------
    //
    // declare class constructors
    //
    // ---------------------------------------------------

    // method: NodeInfo
    //
    // arguments: none
    //  
    // returns  : none
    //
    // default class constructor
    //
    public NodeInfo() {

	// initialize  
	//
	childIndex = null;
	xloc = 0;
	yloc = 0;
	yoffset = 0;
	xoffset = 0;
	selfLoop = false;
	neibIndex = -1;
    }
}

// 
// end of file


