// file: $isip/util/speech/isip_segment_concat/isip_segment_concat.h
// version: $Id: isip_segment_concat.h,v 1.4 2003/05/07 15:55:12 parihar Exp $
//
// this is the header file for the isip_segment_concat utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_SEGMENT_CONCAT
#define ISIP_UTIL_SEGMENT_CONCAT

// isip include files
//
#include <CommandLine.h>
#include <SegmentConcat.h>

static const String PROG_NAME(L"isip_segment_concat");
static const String OPTION_MIN_MAX_TYPE(L"min_max_type");
static const String OPTION_INPUT_FILE_FORMAT(L"input_format");
static const String OPTION_INPUT_FILE_TYPE(L"input_type");
static const String OPTION_OUTPUT_FILE_FORMAT(L"output_format");
static const String OPTION_OUTPUT_FILE_TYPE(L"output_type");
static const String OPTION_MIN_MAX_FILE(L"min_max_file");
static const String OPTION_DIM(L"dimension");
static const String OPTION_OUTPUT_SUFFIX(L"suffix");
static const String OPTION_TRANS_DB(L"transdb");
static const String OPTION_AUDIO_DB(L"audiodb");
static const String OPTION_TRANS_LEVEL(L"level");
static const String OPTION_RATIO(L"ratio");
static const String OPTION_DIR_PRESERVE(L"preserve");

static const String OPTION_MIN_MAX_FLAG(L"min_max");
static const String OPTION_DURATION_FLAG(L"duration");
static const String OPTION_NORMALIZE_FLAG(L"normalize");

static const String FILE_TYPE_TEXT(L"text");
static const String FILE_TYPE_BINARY(L"binary");
static const String FILE_FORMAT_SOF(L"sof");
static const String FILE_FORMAT_RAW(L"raw");

static const String DEF_FILE_TYPE = FILE_TYPE_TEXT;
static const String DEF_FILE_FORMAT = FILE_FORMAT_SOF;
static const long DEF_DIM = 39;
static const String DEF_EXTENSION = FILE_FORMAT_SOF;

static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_LOG_FILE(L"log_file");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");
static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
