// file: Association.java
//

// import java libraries
//
import java.awt.*;
import java.awt.event.*;

public class Association {

    // ---------------------------------------------------
    //
    // declare class member data
    //
    // ---------------------------------------------------
    
    // process algorithm association string
    //
    private String association = null;

    // ---------------------------------------------------
    //
    // declare class constructors
    //
    // ---------------------------------------------------

    // method: Association
    //
    // arguments: none
    // returns  : none
    //
    // default class constructor
    //
    public Association() {
	
	// set the default association to none
	//
	association = new String();
    }

    // ---------------------------------------------------
    //
    // declare class methods
    //
    // ---------------------------------------------------

    // method: getAssociation
    //
    // arguments: none
    // return   : association of the algorithm vertex
    //
    // returns the association of the algorithm vertex
    //
    public String getAssociation() {

	// return the algorithm vertex association
	//
	return association;
    }

    // method: setAssociation
    //
    // arguments:
    //    String association: association of the algorithm vertex
    //
    // return   : none
    //
    // set the association of the algorithm vertex
    //
    public void setAssociation(String association) {

	// set the algorithm vertex association
	//
	this.association = association;
    }
}

//
// end of file

