# file: $isip/login/netscape_mailcap.sh
#
# this file defines an isip standard mailcap file. it is used
# to provide netscape with some useful audio and video extensions.
#

# audio commands go here:
#  auplay plays .au files directly from stdin
#  auplay does not play .wav files from stdin, so we need to convert them
#
audio/basic; audioplay %s
audio/x-wav; sox -t .wav - -t .au - | auplay -volume 50; stream-buffer-size=2000

# use xv for viewing images
#
image/*; xv %s

# use this to display postscript files
#
application/postscript; ghostview %s
application/pdf; acroread %s

# use this to display frame files (this idea came from the frame unixhelpnotes)
#
application/x-framemaker; fmclient -fpname reader -f %s; wait; sleep 15; exit

#
# end of file
