! file: $isip/login/x11_xmodmaprc_sun.sh
!
! this file is used to map certain keys to useful unix-related bindings
! for sun type 4 keyboards. this file is necessary for certain tools,
! such as framemaker and netscape, to work properly.
!

! these keymaps originally come from the file:
!    /common/X11R6/lib/X11/SunKeyboardConfig
! they are intended to fix the problems with sun type 4 keyboards not working
! under x11r6 (mainly it is the arrow keys on the keypad that don't work)
!
keycode 76 = Up KP_8
keycode 98 = Left KP_4
keycode 120 = Down KP_2
keycode 100 = Right KP_6

keycode 77 = Prior KP_9
keycode 121 = Next KP_3
keycode 75 = Home KP_7
keycode 119 = End KP_1

keycode 101 = Insert KP_0
keycode 57 = Delete KP_Decimal

keycode 22 = Escape

! add some isip-related stuff here
!

! bindings to scroll up and down in xterm
!
keysym KP_F1 = Prior
keysym KP_F2 = Next

! make backspace behave like delete (actually rubout)
!
keysym BackSpace = Delete BackSpace

! clear the caps lock key
!
remove Lock = Caps_Lock

!
! end of file
