// file: $isip/util/asr/isip_make_sof.h
//

// make sure the file is included only once
//
#ifndef ISIP_UTIL_TRANSFORM
#define ISIP_UTIL_TRANSFORM

// isip include files
//
#include <AudioFrontEnd.h>
#include <AudioFile.h>
#include <FeatureFile.h>
#include <CommandLine.h>

// define the program name
//
static const String PROG_NAME(L"isip_make_sof");

// define the command line parameters
//
static const String PARAM_ENCODING(L"encoding");
static const String PARAM_SF(L"sample_frequency");
static const String PARAM_BYTE_ORDER(L"byte_order");
static const String PARAM_VERBOSE(L"verbose");
static const String PARAM_OUTPUT_TYPE(L"type");
static const String OPTION_OUTPUT_SUFFIX(L"suffix");

// constants: define constants related to output type manipulation
//
static const String EMPTY(String::NULL_STRING);

// define the location of the front-end parameter file
//
static const String FE_PARAM_FILE(L"$ISIP_DEVEL/lib/text/isip_make_sof/isip_make_sof_params.sof");

// end of file
//
#endif
