// file: isip_model_creator.h
//
// this is the header file for the isip_model_creator utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_MODEL_CREATOR
#define ISIP_UTIL_MODEL_CREATOR

// isip include files
//
#include <CommandLine.h>
#include <Vector.h>
#include <String.h>
#include <File.h>
#include <FrontEnd.h>
#include <HashTable.h>
#include <MixtureModel.h>
#include <GaussianModel.h>
#include <SearchSymbol.h>

static const String PROG_NAME(L"isip_model_creator.exe");

static const String OPTION_LM_FILE(L"input_lm_model");
static const String OPTION_LEXICON_FILE(L"input_lexicon");
static const String OPTION_ACOUSTIC_FILE(L"input_acoustic_model");
static const String OPTION_TRANSCRIPTION_FILE(L"input_trans");
static const String EMPTY(String::NULL_STRING);
static const String OPTION_OUTPUT_LM_MODEL(L"output_lm_model");
static const String OPTION_OUTPUT_STAT_MODEL(L"output_stat_model");
static const String OPTION_OUTPUT_TRANSCRIPTION(L"output_trans");

// end of file
//
#endif
