// file: $isip/util/asr/isip_transform.h
//

// make sure the file is included only once
//
#ifndef ISIP_UTIL_TRANSFORM
#define ISIP_UTIL_TRANSFORM

// isip include files
//
#include <FrontEnd.h>
#include <CommandLine.h>

// constants: define command line related parameters
//
static const String PROG_NAME(L"isip_transform");

static const String OPTION_PARAMS_FILE(L"parameter_file");
static const String OPTION_LOG_FILE(L"log_file");
static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_OUTPUT_TYPE(L"type");
static const String OPTION_OUTPUT_SUFFIX(L"suffix");

static const String DEF_FILE_NAME(L"__tmp_signal.raw");
static const String RAW_FEATURES_EXTENSION(L"mfcc");
static const String RAW_FILE_EXTENSION(L"raw");

// constants: define constants related to log file manipulation
//
static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");
static const String DEF_TYPE(L"TEXT");

// end of file
//
#endif
